# Agreement Object

```json
{
    "handle": "am_a004X9KLljBVOOwoPNNJoEPp",
    "scheme": "nets-ls",
    "test": true,
    "state": "Active",
    "metaData": {
        "CreditorNumber": "12345",
        "CvrNumber": "12345678"
    }
}
```

### Attributes

**handle** (string)\
A unique handle of the agreement.

**scheme** (string)\
Name of the scheme associated to the agreement. Metadata will apply specific to the scheme.

**test** (boolean)\
If true the agreement is used to test purpose. All associated payments will not occur in real time.

**state** (string)\
Active. The agreement is active.\
InActive. The agreement has been terminated.

**metaData** (object)\
An object specifying data of the given scheme. See *scheme* attribute.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://devs.debitdirect.io/api/api-reference/agreements/agreement-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
